Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 83725

Summary: ldbm.c fails to compile with bdb 4.1 (backend berkeley)
Product: [Retired] Red Hat Linux Reporter: Michael Redinger <michael.redinger>
Component: openldapAssignee: Jay Fenlason <fenlason>
Status: CLOSED CANTFIX QA Contact: Jay Turner <jturner>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.3CC: jfeeney, mattdm, srevivo
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-10-18 14:57:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Michael Redinger 2003-02-07 16:49:51 UTC
Version:
2.0.27-2.7.3 (this should be the same in the 8.0 openldap security update.
I'll check the current beta/rawhide too and add a short note).

When setting "backend" to "berkeley" in the SPEC file, compilation fails in
build-krb5/libraries/libldbm/ (ldbm.c)

You have to get the latest ldbm.c from the OpenLDAP CVS server (as of Feb 7 2003):

http://www.openldap.org/devel/cvsweb.cgi/libraries/libldbm?hideattic=1&sortbydate=0

Reason:
In bdb the open call changed again ...

old:
err = ret->open( ret, name, NULL, DB_TYPE, rw, mode);
new:
err = ret->( ret, NULL, name, NULL, DB_TYPE, rw, mode);

(The guys from SleepyCat - well ... "to be the first against the wall when the
revolution comes" :)

(Nalin, I now fully understand why you changed to gdb ... :( ).

Comment 1 Bill Nottingham 2006-08-05 04:49:12 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 2 Bill Nottingham 2006-10-18 14:57:02 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.